﻿/**
 * GUI elements settings (experts only)
 */
{
    // Minimap coordinates font
    "minimapFont": {
        "color": "0x8A855C",    // цвет / color
        "alpha": 100            // прозрачность / transparency
    },
    // Interface elements
    "elements": [

        // You can use constants, relative paths and mathematical expressions:
        // "_x": 100,
        // "_y": "HEIGHT / 2 + sin(minimap._alpha)",

        // Players panels
        {
            "$delay": 100,
            // Left panel
            "leftPanel": {
                "_y": null
            },
            // Right panel
            "rightPanel": {
                "_y": null
            },
            // Players panels switcher
            "switcher_mc": {
                "_y": "leftPanel._y - 28"
            }
        },
        // Sixth sense lamp
        {
            "$delay": 100,
            // Sixth sense lamp duration (in milliseconds). Example: "sixthSenseDuration": 7000,
            "sixthSenseDuration": "sixthSenseDuration",
            // Sixth sense lamp
            "sixthSenseIndicator": {
                // To use some settings in this section, you may need to remove "//" before "$interval". Reduces the performance!
                // "$interval": 0,
                "_alpha": 100,
                "_x": "sixthSenseIndicator._x",
                "_y": "sixthSenseIndicator._y"
            }
        },
        // Battle timer
        {
            "$delay": 100,
            // Battle timer
            "battleTimer": {
                "_x": "battleTimer._x - 0",
                "_y": "battleTimer._y - 0",
				"dotsMC": {
						"_y": "-1",
						"_height": 100,
						"text": ":",
						"$textFormat": { "font": "$FieldFont","size": 20, "align": "center", "bold": "true" }
						},
				"secondsMC": {
						"_height": 100,
						"$textFormat": { "font": "$FieldFont","size": 20, "align": "left", "bold": "true" }
						},
				"minutesMC": {
						"_height": 100,
						"$textFormat": { "font": "$FieldFont","size": 20, "align": "right", "bold": "true" }
						}
            }
        },
        // Minimap
        {
            "$delay": 100,
            // Minimap
            "minimap": {
                "_alpha": "minimap._alpha",
                // Vertical coordinates
                "rowA": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowB": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowC": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowD": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowE": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowF": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowG": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowH": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowJ": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowK": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                // Horizontal coordinates
                "colsNames": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} }
            }
        },
        // Debug panel (ping/lag/fps)
        {
            "$delay": 100,
            // Debug panel (ping/lag/fps)
            "debugPanel": {
                // To use some settings in this section, you may need to remove "//" before "$interval". Reduces the performance!
                "$interval": 0,
                "_alpha": 100,
                "_x": "debugPanel._x",
                "_y": "debugPanel._y",
				"clock": {
					"$textFormat": { "font": "$TitleFont", "color": "0x00CC00", "size": "16" }
				},
				"lag": {
					"$textFormat": { "font": "$TitleFont", "color": "0x00CC00", "size": "16" }
				},
				"ping": {
					"$textFormat": { "font": "$TitleFont", "color": "0x00CC00", "size": "16" }
				},
				"fps": {
					"$textFormat": { "font": "$TitleFont", "color": "0x00CC00", "size": "16" }
				}	 
            }
        },
        // Battle score
        {
            "$delay": 100,
            // Battle score
            "fragCorrelationBar": {
                // To use some settings in this section, you may need to remove "//" before "$interval". Reduces the performance!
                // "$interval": 0,
                "_alpha": 100,
                "_x": "fragCorrelationBar._x",
                "_y": "fragCorrelationBar._y"
            }
        },
        // Capture bar
        {
            "$delay": 100,
            // Capture bar
            "teamBasesPanel": {
                "_alpha": 100,
                "_x": "teamBasesPanel._x + 0",
                "_y": "teamBasesPanel._y + 0"
            }
        },
        // Chat
        {
            "$delay": 100,
            // Chat
            "messenger": {
                "_alpha": 100,
                "_x": "messenger._x + 0",
                "_y": "messenger._y + 0"
            }
        },
        // Kill-log
        {
            "$delay": 100,
            // Kill-log
            "playerMessangersPanel": {
                "_alpha": 100
            }
        },
        // Ammo bar
        {
            "$delay": 100,
            // Ammo bar
            "consumablesPanel": {
                "_alpha": 100,
                "_x": "consumablesPanel._x + 0",
                "_y": "consumablesPanel._y - 0"
            }
        }
    ]
}
