﻿/**
 * Minimap labels. Basic HTML/CSS supported.
 */
{
  "labels": {
      // Maximum nickname size for {{short-nick}} macro.
      "nickShrink": 5,
      "vehicleclassmacro": {		// {{macro substitution Vehicle-class}} 
        "light": "\u003A",		// text for light tanks 
        "medium": "\u003B",	//text for mediums 
        "heavy": "\u003F",		//text for heavys
        "td": "\u002E",		//text for Tds
        "spg": "\u002D",		//text for arty
        "superh": "\u004A" 	// superHeavyTank third class through the gui_settings.xml
         // Special symbols website:
         // http://www.fileformat.info/info/unicode/char/25a0/index.htm
         // Great symbolic font by Andrey_Hard for {{vehicle-class}}:
         //http://goo.gl/d2KIj
      }, 
      // Textfields for tanks on minimap.
      "units": {
        // Textfields switch for revealed units.
        "revealedEnabled": true,
        // Textfields switch for lost enemy units. Show last seen position.
        "lostEnemyEnabled": true,
        "format": { // Macros You can use below for minimap: 
	//Nick-{{short-nick}}-{{level}}, 
	//name of tank-{{vehicle-type}}, 
	//the shorter the name tank-{{vehicle-type-short}}, 
	//tank-type {{vtype}} 
	//system called tank-usa-M24_Chaffee-{vehicle-name}}. 
	
    //For the allies
	    "ally":  "<textformat leading='-2'><span class='mm_a'><b>{{vehicle}}</b></span>\n</textformat>", 
    // For enemies 
 	    "enemy": "<textformat leading='-2'><span class='mm_e'><b>{{vehicle}}</b></span>\n</textformat>",
    //for squad	  
        "squad": "<textformat leading='-2'><span class='mm_s'><b>{{vehicle}}</b></span>\n</textformat>", 
    // last known position of the enemy
	   "lost": "<textformat leading='-4'><span class='mm_dot'>{{vehicle-class}}</span><span class='mm_l'><i>{{vehicle}}</i></span>\n</textformat>",
    //Marker for yourself	  
        "oneself": "",
		"lostally":       "<textformat leading='-4'><span class='mm_dot'>{{vehicle-class}}</span><span class='mm_la'><i>{{vehicle}}</i></span>\n</textformat>",
		"lostteamkiller": "<textformat leading='-4'><span class='mm_dot'>{{vehicle-class}}</span><span class='mm_lt'><i>{{vehicle}}</i></span>\n</textformat>",
		"lostsquad":      "<textformat leading='-4'><span class='mm_dot'>{{vehicle-class}}</span><span class='mm_ls'><i>{{short-nick}}</i>\n{{vehicle}}</span>\n</textformat>",
        "deadally":       "<textformat leading='-4'><span class='mm_dot'>\u2020</span><span class='mm_da'><i>{{vehicle}}</i></span>\n</textformat>",
        "deadteamkiller": "<textformat leading='-4'><span class='mm_dot'>\u2020</span><span class='mm_dt'><i>{{vehicle}}</i></span>\n</textformat>",
		"deadenemy":      "<textformat leading='-4'><span class='mm_dot'>\u2020</span><span class='mm_de'><i>{{vehicle}}</i></span>\n</textformat>",
        "deadsquad":      "<textformat leading='-4'><span class='mm_dot'>\u2020</span><span class='mm_ds'><i>{{short-nick}}</i></span>\n</textformat>"
        },
		// CSS style.
        "css": {
          "ally":            ".mm_a{font-family:$FieldFont; font-size:8px; color:#C8FFA6;}",
          "teamkiller":      ".mm_t{font-family:$FieldFont; font-size:8px; color:#A6F8FF;}",
          "enemy":           ".mm_e{font-family:$FieldFont; font-size:8px; color:#FCA9A4;}",
          "squad":           ".mm_s{font-family:$FieldFont; font-size:8px; color:#FFD099;}",
          "oneself":         ".mm_o{font-family:$FieldFont; font-size:8px; color:#FFFFFF;}",
          "lostally":       ".mm_la{font-family:$FieldFont; font-size:6px; color:#C8FFA6;} .mm_dot{font-family:XVMSymbol; font-size:15px; color:#B4E595;}",
          "lostteamkiller": ".mm_lt{font-family:$FieldFont; font-size:6px; color:#A6F8FF;} .mm_dot{font-family:XVMSymbol; font-size:15px; color:#00D2E5;}",
          "lost":  			".mm_l{font-family:$FieldFont; font-size:6px; color:#FCA9A4;} .mm_dot{font-family:XVMSymbol; font-size:15px; color:#FCA9A4;}",
          "lostsquad":      ".mm_ls{font-family:$FieldFont; font-size:6px; color:#FFD099;} .mm_dot{font-family:XVMSymbol; font-size:15px; color:#E5BB8A;}",
          "deadally":       ".mm_da{font-family:$FieldFont; font-size:6px; color:#FFFFFF;} .mm_dot{font-family:Arial; font-size:10px; color:#FFFFFF;}",
          "deadteamkiller": ".mm_dt{font-family:$FieldFont; font-size:6px; color:#5B898C;} .mm_dot{font-family:Arial; font-size:10px; color:#043A40;}",
          "deadenemy":      ".mm_de{font-family:$FieldFont; font-size:6px; color:#FF7F7F;} .mm_dot{font-family:Arial; font-size:10px; color:#FF7F7F;}",
          "deadsquad":      ".mm_ds{font-family:$FieldFont; font-size:6px; color:#997C5C;} .mm_dot{font-family:Arial; font-size:10px; color:#663800;}"
        },
        // Fields shadow.
        "shadow": {
          "ally": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 4 },
          "teamkiller": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 4 },
          "enemy": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 4 },
          "squad": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 4 },
          "oneself": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 4 },
          "lostally": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 6, "strength": 4 },
          "lostteamkiller": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 6, "strength": 4 },
          "lost": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 6, "strength": 4 },
          "lostsquad": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 6, "strength": 4 },
          "deadally": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 3 },
          "deadteamkiller": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 3 },
          "deadenemy": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 3 },
          "deadsquad": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 45, "alpha": 80, "blur": 3, "strength": 3 }
        },
        // Field offset ralative to current icon (except lost - relative to enemy last seen position).
        "offset": {
          "ally":           {"x": 3, "y": -1},
          "teamkiller":     {"x": 3, "y": -1},
          "enemy":          {"x": 3, "y": -1},
          "squad":          {"x": 3, "y": -2},
          "oneself":        {"x": 0, "y": 0},
          "lostally":       {"x": -5, "y": -11},
          "lostteamkiller": {"x": -5, "y": -11},
          "lost":           {"x": -5, "y": -11},
          "lostsquad":      {"x": -5, "y": -11},
          "deadally":       {"x": -5, "y": -11},
          "deadteamkiller": {"x": -5, "y": -11},
          "deadenemy":      {"x": -5, "y": -11},
          "deadsquad":      {"x": -5, "y": -11}
        },
        "alpha" : {
          "ally": 100,
          "teamkiller": 100,
          "enemy": 100,
          "squad": 100,
          "oneself": 100,
          "lostally": 70,
          "lostteamkiller": 70,
          "lost": 70,
          "lostsquad": 70,
          "deadally": 50,
          "deadteamkiller": 50,
          "deadenemy": 50,
          "deadsquad": 50
        }
      },
      // Textfield for map side size. 1000m, 700m, 600m.
      // Works only with xvm-stat.exe for uncommon locales.
      "mapSize": {
        "enabled": true,
        "format": "<b>{{cellsize}}0 m</b>",
        "css": "font-size:10px; color:#FFCC66;",
        "alpha": 80,
        "offsetX": 0,
        "offsetY": 0,
        "shadow": { // Тень.
          "enabled": true,
          "color": "0x000000",
          "distance": 0,
          "angle": 0,
          "alpha": 80,
          "blur": 2,
          "strength": 3
        },
        // Decrease sizes in case of map image weird shrinking while map resize.
        // Increase sizes in case of field being partially cut off.
        "width": 100,
        "height": 30
      }
    }
}